diff --git a/web/pgadmin/tools/erd/__init__.py b/web/pgadmin/tools/erd/__init__.py
index 8294a31a9..97a04d3da 100644
--- a/web/pgadmin/tools/erd/__init__.py
+++ b/web/pgadmin/tools/erd/__init__.py
@@ -561,6 +561,7 @@ def sql(trans_id, sgid, sid, did):
 @login_required
 def tables(trans_id, sgid, sid, did):
     helper = ERDHelper(trans_id, sid, did)
+    conn = _get_connection(sid, did, trans_id)
     status, tables = helper.get_all_tables()
 
     if not status:
diff --git a/web/pgadmin/tools/erd/tests/test_close.py b/web/pgadmin/tools/erd/tests/test_close.py
index e334bf92a..98c51c5f8 100644
--- a/web/pgadmin/tools/erd/tests/test_close.py
+++ b/web/pgadmin/tools/erd/tests/test_close.py
@@ -8,6 +8,7 @@
 ##########################################################################
 
 import uuid
+import random
 from pgadmin.utils.route import BaseTestGenerator
 from regression.python_test_utils import test_utils as utils
 from regression import parent_node_dict
@@ -33,14 +34,15 @@ class ERDClose(BaseTestGenerator):
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database to add the schema.")
 
+        trans_id = random.randint(1, 9999999)
         url = '/erd/initialize/{trans_id}/{sgid}/{sid}/{did}'.format(
-            trans_id=123344, sgid=self.sgid, sid=self.sid, did=self.did)
+            trans_id=trans_id, sgid=self.sgid, sid=self.sid, did=self.did)
 
         response = self.tester.post(url)
         self.assertEqual(response.status_code, 200)
 
         url = '/erd/close/{trans_id}/{sgid}/{sid}/{did}'.format(
-            trans_id=123344, sgid=self.sgid, sid=self.sid, did=self.did)
+            trans_id=trans_id, sgid=self.sgid, sid=self.sid, did=self.did)
 
         response = self.tester.delete(url)
         self.assertEqual(response.status_code, 200)
diff --git a/web/pgadmin/tools/erd/tests/test_initialize.py b/web/pgadmin/tools/erd/tests/test_initialize.py
index bd6eb2c0c..9eb6163c5 100644
--- a/web/pgadmin/tools/erd/tests/test_initialize.py
+++ b/web/pgadmin/tools/erd/tests/test_initialize.py
@@ -9,6 +9,7 @@
 
 import json
 import uuid
+import random
 from pgadmin.utils.route import BaseTestGenerator
 from regression.python_test_utils import test_utils as utils
 from regression import parent_node_dict
@@ -34,14 +35,15 @@ class ERDInitialize(BaseTestGenerator):
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database to add the schema.")
 
+        trans_id = random.randint(1, 9999999)
         url = '/erd/initialize/{trans_id}/{sgid}/{sid}/{did}'.format(
-            trans_id=123344, sgid=self.sgid, sid=self.sid, did=self.did)
+            trans_id=trans_id, sgid=self.sgid, sid=self.sid, did=self.did)
 
         response = self.tester.post(url)
         self.assertEqual(response.status_code, 200)
         response_data = json.loads(response.data.decode('utf-8'))
         self.assertEqual(response_data['data'], {
-            'connId': '123344',
+            'connId': str(trans_id),
             'serverVersion': self.server_information['server_version'],
         })
 
diff --git a/web/pgadmin/tools/erd/tests/test_panel.py b/web/pgadmin/tools/erd/tests/test_panel.py
index 63601cb3d..44adf906b 100644
--- a/web/pgadmin/tools/erd/tests/test_panel.py
+++ b/web/pgadmin/tools/erd/tests/test_panel.py
@@ -8,6 +8,7 @@
 ##########################################################################
 
 import uuid
+import random
 from pgadmin.utils.route import BaseTestGenerator
 from regression.python_test_utils import test_utils as utils
 from regression import parent_node_dict
@@ -25,9 +26,11 @@ class ERDPanel(BaseTestGenerator):
         self.sgid = config_data["server_group"]
 
     def runTest(self):
+        trans_id = random.randint(1, 9999999)
         url = '/erd/panel/{trans_id}?sgid={sgid}&sid={sid}&server_type=pg' \
               '&did={did}&gen=false'.\
-            format(trans_id=123344, sgid=self.sgid, sid=self.sid, did=self.did)
+            format(trans_id=trans_id, sgid=self.sgid, sid=self.sid,
+                   did=self.did)
 
         response = self.tester.post(
             url, data={"title": "panel_title", "close_url": "the/close/url"},
diff --git a/web/pgadmin/tools/erd/tests/test_prequisite.py b/web/pgadmin/tools/erd/tests/test_prequisite.py
index 926280d41..138ab74c0 100644
--- a/web/pgadmin/tools/erd/tests/test_prequisite.py
+++ b/web/pgadmin/tools/erd/tests/test_prequisite.py
@@ -9,6 +9,7 @@
 
 import json
 import uuid
+import random
 from pgadmin.utils.route import BaseTestGenerator
 from regression.python_test_utils import test_utils as utils
 from regression import parent_node_dict
@@ -34,8 +35,9 @@ class ERDPrequisite(BaseTestGenerator):
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database to add the schema.")
 
+        trans_id = random.randint(1, 9999999)
         url = '/erd/prequisite/{trans_id}/{sgid}/{sid}/{did}'.format(
-            trans_id=123344, sgid=self.sgid, sid=self.sid, did=self.did)
+            trans_id=trans_id, sgid=self.sgid, sid=self.sid, did=self.did)
 
         response = self.tester.get(url)
         self.assertEqual(response.status_code, 200)
diff --git a/web/pgadmin/tools/erd/tests/test_sql.py b/web/pgadmin/tools/erd/tests/test_sql.py
index 8240397f3..15276c1cd 100644
--- a/web/pgadmin/tools/erd/tests/test_sql.py
+++ b/web/pgadmin/tools/erd/tests/test_sql.py
@@ -9,6 +9,7 @@
 
 import json
 import uuid
+import random
 from pgadmin.utils.route import BaseTestGenerator
 from regression.python_test_utils import test_utils as utils
 from regression import parent_node_dict
@@ -62,8 +63,9 @@ class ERDSql(BaseTestGenerator):
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database to add the schema.")
 
+        trans_id = random.randint(1, 9999999)
         url = '/erd/sql/{trans_id}/{sgid}/{sid}/{did}'.format(
-            trans_id=123344, sgid=self.sgid, sid=self.sid, did=self.did)
+            trans_id=trans_id, sgid=self.sgid, sid=self.sid, did=self.did)
 
         curr_dir = path.dirname(__file__)
 
diff --git a/web/pgadmin/tools/erd/tests/test_tables.py b/web/pgadmin/tools/erd/tests/test_tables.py
index 8c3794eaf..8bf754c0b 100644
--- a/web/pgadmin/tools/erd/tests/test_tables.py
+++ b/web/pgadmin/tools/erd/tests/test_tables.py
@@ -9,6 +9,7 @@
 
 import json
 import uuid
+import random
 from pgadmin.utils.route import BaseTestGenerator
 from regression.python_test_utils import test_utils as utils
 from regression import parent_node_dict
@@ -64,8 +65,9 @@ class ERDTables(BaseTestGenerator):
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database to add the schema.")
 
+        trans_id = random.randint(1, 9999999)
         url = '/erd/tables/{trans_id}/{sgid}/{sid}/{did}'.format(
-            trans_id=123344, sgid=self.sgid, sid=self.sid, did=self.did)
+            trans_id=trans_id, sgid=self.sgid, sid=self.sid, did=self.did)
 
         response = self.tester.get(url)
         self.assertEqual(response.status_code, 200)
